Exiv2::Internal::SigmaMakerNote Class Reference

MakerNote for Sigma (Foveon) cameras. More...

`#include <sigmamn_int.hpp>`

## Static Public Member Functions

static const TagInfo * | tagList ()
| Return read-only list of built-in Sigma tags.

## Print functions for Sigma (Foveon) MakerNote tags

static std::ostream & | printStripLabel (std::ostream &os, const Value &value, const ExifData *)
| Strip the label from the value and print the remainder.
static std::ostream & | print0x0008 (std::ostream &os, const Value &value, const ExifData *)
| Print exposure mode.
static std::ostream & | print0x0009 (std::ostream &os, const Value &value, const ExifData *)
| Print metering mode.

## Detailed Description

MakerNote for Sigma (Foveon) cameras.

The documentation for this class was generated from the following files:

- sigmamn_int.hpp
- sigmamn_int.cpp